#!/usr/bin/env python

import sys
from distutils.core import setup, Extension 

classifiers = """\
Development Status :: 5 - Production/Stable
Intended Audience :: Developers
License :: OSI Approved :: GNU GPL
Programming Language :: Python
Programming Language :: C
Topic :: Database
Topic :: Software Development :: Libraries :: Python Modules
Operating System :: Microsoft :: Windows
Operating System :: Unix
"""
 
if sys.platform == "win32": # for MinGW
	include_dirs = [r'\MinGW\include', r'..']
	library_dirs = [r'\MinGW\lib', r'..']
	libraries = ["hre",]
	data_files = []
	
else:
	include_dirs = [
	]
	library_dirs = [
		'/usr/local/lib'
	]
	libraries = ["hre"]
	data_files = []

if sys.version_info < (2, 3):
	_setup = setup
	def setup(**kwargs):
		if kwargs.has_key("classifiers"): 
			del kwargs["classifiers"]
			_setup(**kwargs)

setup(name = "pyhre", 
	version = "0.1.0", 
	description="Hangeul Regular Expression for Python.",
	author = "Joon-cheol Park", 
	author_email="jooncheol@gmail.com", 
	license = "GPL",
	url="http://hre.kldp.net", 
        py_modules=[ 'hre', ],
	ext_modules=[Extension("_hre", ["hremodule.c"],
							include_dirs = include_dirs,
							library_dirs = library_dirs,
							libraries=libraries)],
	classifiers = filter(None, classifiers.split("\n")),
	data_files=data_files
	) 
 
